Quick start

Fsaver help

21-Apr-05

Quick start:

  • Introduction
  • Installation instructions
  • Experiment with sample data

Selecting and displaying flight data

  • File selection window
  • Flight selection window
  • Flight data window
  • Screen elements

Working with the flight data

  • Selecting traces
  • Graph labels and bookmarks
  • Next and Menu tags
  • Zooming and panning
  • Cursoring
  • Options box


Labels and figure properties properties

Introduction

Fsaver.exe (which from here on we will refer to as Fsaver) is an application for displaying the flight data collected by the FlightSaver instrument. For information on how to collect the flight data, refer to the FlightSaver user manual (UserGuide.pdf) as well as the FlightSaver brochure (Brochure.pdf)

The system requirements for running Fsaver are:

  • PC running Windows ME, Windows 2000, or Windows XP
  • Screen resolution of 800x600 or greater
  • USB port (any version)

If you have any questions about this manual or running Fsaver please email your question to help@sigknowledge.com


Labels and figure properties properties

Installation instructions:

  • Create a new folder named fsaver in any convenient place on your disk. (Actually, you can name it something else if you prefer.)
  • Unzip the distributed or downloaded file (Fsaver.zip) into the new folder. Select the unzip option to preserve the archived directory structure (usually the default). The fsaver folder will will contain:

Fsaver.exe | Flightsaver executable
FlightSaver | Shortcut to Fsaver.exe
Fsaver.chm | Fsaver help documentation (compiled html)
UserGuide.pdf | FlightSaver operating guide
*.dll *.ini *.exe bin\*.fig | Support files needed by fsaver.exe
data\c03.dat data\c04.dat | Example flight data files

To complete the installation, view this folder using Explorer (or your favorite file manager) and drag the FlightSaver shortcut to where you prefer to start your applications (i.e. the desktop, the taskbar quick launch area, or your start menu).


Experiment with sample data

Experiment with sample flight data

The easiest way to start learning about Fsaver is to start viewing the sample data provided. Start Fsaver by clicking on the Fsaver shortcut on your start menu or desktop. A file selection box will appear. Browse to the file bin\C03.dat in your Fsaver folder. Double click on that file and a list of 67 flights will appear. Click on one of the flights and a flight display window will appear. Experiment with the flight display window by trying the following:

  • Click on the trace labels to the far left to toggle traces on and off
  • Left and right click on all the objects in the Fsaver window.
  • Click and drag on the x and y axis tick labels (try both left and right buttons)
  • Left or right click and drag in the plot area. (On and off the traces do different things).
  • Double click and drag in the plot area
  • Left/Right click on the Next tag to go to the succeeding/preceding flight

Although you can get the basic ideas by such experimentation, to get the most use out of your recorded data you should read the details about Fsaver's operation in the remaining sections of the help file.


File selection window

The FlightSaver instrument writes all the measured data to a single file named (at first) FS0001.DAT on the compact flash card (as well as an identical file named FS0001.BAK for backup purposes.) Even after a power reset, the data continues to append the data to this same file until the file disappears (i.e. you have deleted the file or swapped flash cards) or until the file grows larger than 1 megabyte. In either case, FlightSaver opens a new file in sequence (i.e. FS0002.DAT). You may delete the .BAK files after verifying the integrity of the corresponding .DAT files.

When you wish to view any of the recorded data, remove the compact flash card from the FlightSaver and bring it home to analyze on your PC. (When you remove the flash card don’t forget to replace it with a blank card so that the FlightSaver will be ready to record data during the next flight.)

Insert the data card into the supplied flash card reader. Use Explorer or other file management tools to move all files on the flash card to your fsaver\data\ folder. Then start Fsaver by clicking on the Fsaver shortcut on your start menu or desktop. A file selection box such as this will appear:

Use the navigation buttons to navigate to your fsaver\data folder and select the file you wish to view and click Open. Actually you will only see this data selection window the very first time you run Fsaver. After that, Fsaver remembers which data file was last selected and automatically opens the same file when it is started. Of course if you want to view a different data file you can do that. Just click on the New button in the flight selection window shown in the next section.


Flight selection window

1.) 11-Apr-03 23:16 (0.72 hours) | 26.) 17-Jul-03 08:23 (0.73 hours)
2.) 22-Apr-03 08:21 (1.26 hours) | 27.) 17-Jul-03 09:55 (0.03 hours)
3.) 22-Apr-03 10:01 (0.88 hours) | 28.) 17-Jul-03 10:06 (0.03 hours)
4.) 22-Apr-03 11:23 (0.57 hours) | 29.) 17-Jul-03 11:22 (0.65 hours)
5.) 12-May-03 21:43 (2.09 hours) | 30.) 18-Jul-03 17:11 (0.41 hours)
6.) 19-May-03 08:55 (0.68 hours) | 31.) 06-Aug-03 14:58 (0.76 hours)
7.) 19-May-03 09:55 (0.23 hours) | 32.) 06-Aug-03 15:51 (1.98 hours)
8.) 25-May-03 14:06 (1.30 hours) | 33.) 12-Aug-03 22:04 (0.80 hours)
9.) 02-Jun-03 09:38 (0.61 hours) | 34.) 14-Aug-03 13:09 (1.57 hours)
10.) 17-Jun-03 15:08 (1.62 hours) | 35.) 23-Aug-03 10:59 (0.32 hours)
11.) 17-Jun-03 17:11 (0.27 hours) | 36.) 23-Aug-03 14:20 (0.42 hours)
12.) 18-Jun-03 18:09 (0.98 hours) | 37.) 19-Sep-03 12:53 (1.06 hours)
13.) 18-Jun-03 19:38 (0.98 hours) | 38.) 21-Sep-03 12:00 (1.06 hours)
14.) 20-Jun-03 16:01 (0.78 hours) | 39.) 06-Oct-03 11:00 (0.30 hours)
15.) 21-Jun-03 20:03 (0.81 hours) | 40.) 06-Oct-03 11:42 (1.00 hours)
16.) 22-Jun-03 15:29 (0.31 hours) | 41.) 07-Oct-03 14:33 (1.21 hours)
17.) 24-Jun-03 20:19 (1.23 hours) | 42.) 07-Oct-03 16:04 (0.25 hours)
18.) 27-Jun-03 14:40 (2.82 hours) | 43.) 13-Oct-03 10:33 (2.67 hours)
19.) 27-Jun-03 18:50 (2.88 hours) | 44.) 16-Oct-03 12:07 (3.02 hours)
20.) 30-Jun-03 14:23 (2.34 hours) | 45.) 17-Oct-03 10:09 (0.33 hours)
21.) 01-Jul-03 14:43 (2.68 hours) | 46.) 21-Oct-03 14:47 (1.04 hours)
22.) 08-Jul-03 17:41 (2.53 hours) | 47) 21-Oct-03 16:05 (0.17 hours)
23.) 16-Jul-03 10:49 (0.35 hours)
24.) 16-Jul-03 11:38 (1.27 hours)
25.) 16-Jul-03 13:10 (0.63 hours) |

If you clicked on FS0051.DAT in the file selection window (previous section) Fsaver will display a flight selection window (above) showing all the flights contained in that particular data file. A flight number, flight start time, and flight duration is shown for each flight. If you close Fsaver (by clicking the close button in the upper right corner of this window), and then restart it again, Fsaver will assume you want to look at the same data file and again displays the window shown above. If you want to switch to a different data file, click on the New button (upper left corner) and the file selection window of the previous section will appear.

To view one of the listed flights click on the corresponding text string. The text string will change to bold (as with flight 2 above) and then Fsaver opens a “Flight Data Window” (see next section) showing the stored data for the selected flight.

Note that the text strings for each flight are shown in one of two colors. Which color is unimportant, but the two colors are used to group flights that are close together in time. Specifically if the gap between the end of a flight and the beginning of the next flight is less than four hours, then the two flights will be shown in the same color. This is useful because sometimes it is convenient to display the flight data for two or more flights flown in quick succession on a single graph. For example, since flights 23 thru 25 are all shown in the same color (yellow), we can see the data for all three flights on one graph by right clicking on any of those flights. (All three text strings will change to the bold font). You can still view the data for each flight individually by left clicking on the desired flight.

If there happens to be only one flight stored in the selected data file, then the above flight selection window does not appear. Fsaver simply opens a Flight Data Window to display the data recorded during that single flight.

Click on the Help button to bring up the document you are now reading as a help file. Click on CloseAll to close all the flight data windows that are currently open. Click on the New button to close the current flight selection window and open a new file selection window. Once you pick a new data file, the corresponding flight selection window will appear.


Flight data window

Note that the flight data window can be minimized, maximized, stretched, shrunk, and moved around using the customary Windows controls. However, if you shrink the window much smaller than the default size, some of the graphic elements may start to overlap. When you close a flight data window, Fsaver remembers its size and location so that the next flight data window can start out with the same size and location as before.

The trace selection box identifies the plotted traces by color and also tells you which traces are enabled. The enabled traces are shown in bold and the disabled traces are shown in italics. In the flight data window shown above only six of the twenty traces are enabled. As you will see later, this is easy to change.

In no particular order, a description of each trace follows:

Fuel

The instantaneous fuel flow in gallons/hour times 10. Since the graph uses a single y-axis scale (which is optimized for the CHT display), the "times 10" allows the fuel flow to fit comfortably into the graph. Because the data from the fuel flow sensor is a bit noisy, the data is smoothed for a more readable display. If you want to see the data before the smoothing, click on the "ALT" tag. The trace ID will change to "FuelR" so that you know you are viewing the raw data.
CAS

Calibrated airspeed (in knots) from the FlightSaver's pitot pressure transducer
TAS

True airspeed (in knots). This is CAS corrected by the pressure altitude and the outside air temperature.
P.ALT

Pressure altitude (in feet/100) from the FlightSaver's static pressure transducer
ALT

True altitude (in feet/100) from the GPS data
GS

Ground speed (in knots), from the GPS data. The raw ground speed data is quite noisy, so it is heavily filtered for the display. Click on the "ALT" tag to view the data before smoothing. (The trace ID will change to "GSraw").

MPG

Miles per Gallon (nautical) times 10. This is computed from TAS and so is a measure of efficiency. (It is not affected by the winds). Your actual MPG relative to the ground will be lower than the plotted value when flying into a headwind.
MgCrs

Magnetic course (in degrees) - from GPS data
CHT1-CHT6

Cylinder head temperature (in degrees F). For 4 cylinder engines the last two are not shown. For twins this is the right engine. To display the data for the left engine, click on the "ALT" tag. The trace IDs switch to lower case (cht6) when viewing the data for the left engine. (Think "l" for "left" and "lower case").
EGT1-EGT6

Exhaust gas temperature (in degrees F divided by 10). For twins, to display the data for the left engine, click on the "ALT" tag. The trace IDs switch to lower case when viewing the data for the left engine.
OilT, OAT, MP, RPM, TIT, Gyro

The 3 remaining traces may display miscellaneous data from the engine analyzer. Which traces are displayed depend on your setup and which extra sensors (if any) have been installed with your engine analyzer. In the plot above, the 3 traces shown are Oil Temperature, Outside Air Temperature, and Gyro Vacuum. If sensors were also installed for Manifold Pressure, RPM, and Turbine-Inlet Temperature, then you could view three traces by pressing the "ALT" tag, at which point the original three traces will disappear. Pressing "ALT" again restores the original view. Of course the trace labels change to indicate the data that is actually plotted.


Screen elements

To make it easier to talk about the features of Fsaver, let's define some terms:


Selecting traces

Each trace ID is shown in the same color as its associated trace in the plot area. The trace IDs associated with the disabled (non-visible) traces are shown in an italic normal weight font and the enabled trace IDs are shown in a bold upright font.

You can control which traces are displayed as follows:

  • When you left click on one of the trace IDs in the trace selection box, the associated trace is toggled on or off.
  • To view a single trace all by itself, right click on the trace ID of interest. That trace will be enabled and all the others will be disabled.
  • Double click on any of the trace IDs to enable all traces at once.


Graph labels and bookmarks

Y axis label

(rotated 90°)

Unlike just about everything else, clicking on this does nothing. The y-axis label just tells you what units are used for each trace. The dividing or multiplying by 10 or 100 allows the different parameters to fit conveniently on the same y-axis scale:

ºF | for CHTs, Oil Temp, and OAT
ºF/10 | for EGTs
feet/100 | for gps and pressure altitudes
Gal/hr×10 | for fuel flow
Knots | for TAS, CAS, and GS
MPG×10 | for fuel efficiency (miles per gallon)

X axis label

The x-axis label shows the x-axis units. Clicking on it causes it to rotate among these three choices:

  • Hours after the start of the flight (when the master is switched on)

  • Minutes after the start of the flight (the choice used in the above picture)

  • Minutes after the hour (minutes after 11:00 for this flight)

The last selection is convenient when you want to know the exact time of an event shown on the graph.

Graph title

Clicking on this graph title will change the text to the next line of the user-entered notes (scroll to bottom of page). When you get to the last line of user-entered text for this flight, clicking on it again displays basic flight information - flight number, starting date/time, and duration, in this example Flight 40.) 06-Oct-03 11:42 (1.00 hours). Clicking on it one more time again displays the first user-entered note. (If no user-entered notes exist for this flight, just the basic flight information is shown.)

BookMarks

During a flight, when you push the FlightSaver's Mark button, the current time and location is saved along with an associated letter. This example shows bookmark “Xray”. A dashed vertical line indicates the time of the bookmark. The bookmarks will also appear on the tracks imported into Street Atlas USA or other mapping software.


Next and menu tags

There are two small text tags (Next and Menu) near the lower left corner of the flight data window. They may be small but they are very useful.

Next tag

Clicking on the Next tag closes the currently open flight data window and brings up a new flight data window containing the data for the next flight shown in the flight selection window (which is flight 41 in this example). This is different than if you click on flight 41 in the flight selection window since that will bring up the new window without closing the flight window for flight 40. The Next tag is particularly useful when searching thru many flights while viewing the data or notes to find a particular flight.

Right clicking on the Next tag has the reverse effect - i.e. the previous flight is called up.

Menu tag

When you click on the menu tag, a menu pops up with these six choices.

  • Clicking on Cancel closes the popup menu without initiating any of the above actions.

  • When you click on GPS Log the GPS lat/lon data is written to a text file in a format compatible with Street Atlas USA and other mapping programs. The file name contains both the flight number and original source file name (for example FS0051gpsF40.txt).

  • Clicking on Save .DAT will save a file (named for example FS0051F40.DAT) which contains the portion of the original FS0051.DAT file that includes the data relevant to flight #40. (One can accomplish the same thing with a binary file editor by saving the portion between the relevant power-on records.) This operation is occasionally useful for data management, or when you want to email the data for one flight to a fellow pilot.

  • Clicking on Export is similar to Save .DAT except that the data is written as a csv file (comma delimited form) appropriate for importing into Excel and other analysis programs (for example FS0051F40.csv). Be aware that if you want to create just one csv file, make sure that only one flight data window is open. In contrast, suppose you have two flight data windows open, one showing flight 2 and the other showing flight 12. Then clicking on “Export” will create 11 csv files, containing the data for flights 2 thru 12. If more than two data windows are open, FSAVER only considers the smallest and largest flight numbers when deciding which flights to save. This point about creating multiple files applies equally to the previous two selections as well (GPS Log and Save .DAT).

  • Clicking on Estimate TAS will give you an estimate of both the true airspeed and the wind speed and direction for the portion of the flight currently visible in the flight data window. To get reliable results you should first expand the display to include only a portion of the flight done at a constant altitude and a constant power setting. Also since the gps data is used for this calculation, the selected portion must include at least two significant turns for accurate results. The estimates appear in the graph title. Since this estimate is independent from (and generally more accurate than) the pitot static measurements, you can use this calculation to verify the accuracy of the TAS trace computed from the FlightSaver's pitot/static pressure transducers.

  • Clicking on Edit Comments opens Notepad so you can add, remove, or modify the user-entered notes for any flight in the current flight selection window. After you save the file, the new notes will appear when you click on the graph title. An example of such a Notepad window is shown below. You may put the flights in any order although keeping them in incrementing order according the the flight number is a good practice. Not all flights need to have user-entered comments. In this example, Flight 17 has three comments, each of which will be displayed in turn on the graph title as you click on that text with the mouse. The last two comments for that flight were added to identify the reasons behind the bookmarks Delta and Echo. The text "Flight 17." (exactly as shown - with one space before the 17) must appear starting in column 1. The rest of that line (after the period) is ignored. The user entered comments begin on the next line. Each user-entered comment must begin with at least one space. (I chose to use two spaces in this example.) If you know the engine tach time it is useful to put it at the beginning of one of the comment lines in the form shown since this time is used by some of the trending software. (If you don’t enter the tach time the software will use the TIS or Hobbs times).


Zooming and panning

Panning

The simplest way to pan the x or y axis is to click on one of the axis tick labels (actually anywhere outside the plot area will work) and drag it until the part of the display you wish to view is visible. Sometimes you may want to pan both the x and y axes at the same time. Instead of doing separate pans on each axis you can do both at the same time by clicking anywhere in the plot area (but NOT on any of the traces) and dragging that point until the desired view is achieved.

Zooming

Try the same thing as with panning, except drag with the right mouse button instead of the left. You will find that dragging towards the origin compresses the axis (for zooming out) and dragging away from the origin expands the axis (for zooming in). As with panning you can zoom both axes at once by a right click and drag in the plot area. (Unlike panning you don't have to worry about whether you are on a trace or not. The same thing will happen in either case.)

Often to get the desired view requires two mouse movements. The first, with a right click and drag to expand or contract the axis (or axes) and the second, with a left click, to re-center the display. You may find that this is the most convenient method, or perhaps you will like one of the other methods described below.

The expansion box

If the portion of the graph that you want to zoom in on is completely visible on the graph, the fastest way of displaying the desired area is to draw an expansion box. To do this, position the mouse in the plot area over one corner of the area you wish to zoom in on. Then double click the mouse, but don't release the mouse button after the second click. Hold the mouse button down while dragging the mouse towards the opposite corner of the desired zoom area. A yellow box will be drawn, which will be stretched or contracted as you drag the mouse around. When you let go of the mouse button, the display will look similar to the picture to the left. If you are happy with the expansion box you have drawn, left click the mouse anywhere in the plot area (or even outside the plot area if you avoid the edit boxes) and the display will expand to show only the data inside the expansion box. If you are not happy with the expansion box, right click anywhere. The expansion box will disappear and you can try again.

Typing axis limits

The most general way of setting the axis limits is to simply type them in. Although this is perhaps the most painstaking method it is appropriate when you wish to have an exact value for one or more of the limits. As an example, suppose you want to change the x-axis limits. First click on the grey "x" label in front of the x-cursor edit box. When you do that, the edit box doubles up - i.e. you see two edit boxes as in the picture to the left. And instead of containing cursor values, these two edit boxes will be set to the current lower and upper x-axis limits. Highlight one of the numbers in either edit box (by double clicking on it, or by a single click and drag) and type in a new number to replace the old (or single click and use the usual editing keys - arrows, delete, etc). Press Enter to accept the new number. Tab also accepts the new number and then pops you into the opposite edit box allowing you to edit the other limit. If the new limits you are typing are inside the current plot area, you will see two vertical lines at the location of the new limits. Once you get the limits entered, proceed as with the expansion box. That is - left click anywhere to accept the new limits, or right click to keep the old limits. Of course the same procedure works for the y-axis limits as well.

Adjusting the expansion box

The above two methods are more similar than you may think, and you can combine them both. After an expansion box is drawn, both the x and y-cursor edit boxes double up and contain the limits of the expansion box. If you are not satisfied with the expansion box location you can edit any or all of these limits before accepting them via a left click.

Expansion history

Whenever you change the x or y axis limits by any of the above methods, the previous limits are stored in a expansion history list. You can cycle thru these stored limits by right clicking on the XY↔ tag in the menu box. (See "Menu box" below). This list is 4 elements deep, so after the fourth zoom or pan the oldest display limits fall off the bottom of the stack.

Auto scaling

When the flight data window is first drawn, both axes are auto-scaled to show the entire data range. At any later time you can auto-scale the x-axis by right clicking on the grey "x" label in front of the x-cursor edit box. Right clicking on the grey "y" label is similar for auto-scaling the y-axis, although there is one difference. The difference is that the y-axis is scaled to insure that the data associated with the active trace is visible. There is a way to auto-scale so that all traces will be completely visible. Simply cycle thru the display expansion history. After the last stored display limits are used, one more click will auto-scale both axes. (Another click will then cycle thru the expansion history list again.)


Cursoring

Selecting the active trace

Simply click on the trace you wish to cursor. The cursor will move to the trace you clicked on and that trace will become active. The x and y-cursor edit boxes will change to the color of the new active trace and those edit boxes will be updated to contain the current x and y locations of the cursor. Although the color of the edit box will often be enough to let you know which trace is active it sometimes may be difficult to tell at a glance if there are many traces plotted. For this reason a cursor ID tag is displayed just to the left of the y-cursor edit box. This cursor ID tag is also in the same color as the active trace. (Note: The cursor ID tag won't actually be Line 4 as in this picture; this is just a generic example. It will contain the actual trace name, such as CHT5, OilT, P.ALT, etc.)

Dragging the cursor

Click on a trace, hold down the mouse button and drag the cursor left or right. The cursor will follow the mouse as you are dragging and the edit boxes will continually update with the current cursor location. Make sure you click directly on the trace. If you are not close enough to the trace, when you drag the mouse the x and y axis limits will pan to follow the mouse movement.

Typing in a cursor location

If you type a new value into the x-cursor edit box, the cursor will move to (x,y) where x is the value you typed in, and y is the value of the active trace at location x. (i.e. the cursor will remain on the active trace). However if you type a new value into the y-cursor edit box, the cursor will move up or down (off the trace) to the location (x,y) where x is the old cursor x position, and y is the value you typed in.

Finding peaks or valleys

In the lower left corner of the display you will find the cursor peak/valley buttons (up and down arrows) as well as the delta cursor button. When you click on the up arrow (peak finder), the cursor will move to the largest peak in the current display range of the active trace. The next click on the up arrow will move the cursor to the second largest peak and so on. Any cursor movement other than a peak/valley button will reset the peak finder so that the next time you click on the up arrow the cursor again moves to the largest peak in the display range. The valley button works the same as the peak button except the cursor moves to successive local minima.

Delta cursors

Delta cursors are useful for measuring horizontal or vertical distances between two points on a trace. First move the cursor to the desired reference point on the trace. Then press the Delta (∆) cursor button. The reference location will be marked with a large red plus (about 4 times bigger than the normal cursor). Then click on a different point on the same trace (or drag the cursor to the desired location). The view will then look similar to the picture shown here. You can read the current location of the cursor (the small yellow plus) in the usual way - i.e. the edit boxes just to the right of the grey x/y labels. In this case the cursor x location is 5.75 msec and the y location is 0.377755. The other two edit boxes show how far away the cursor is from the marked reference. In this example, it shows that the cursor at a location 1.55 msec later than and .37885 units less than the marked reference. Simply click on the delta cursor button again, and the reference mark will disappear and the usual cursor operation will return.

Y/X, Average and RMS readout

When you click on the cursor ID tag (Line 4 in this example) the ID tag changes to Y/X and the value in the y-cursor edit box changes to show the ratio of the y and x cursor values at the current cursor position (i.e. the slope of the line from the origin to the cursor). If delta cursors were enabled, an additional edit box appears to the right of the y-cursor edit box. This additional box contains ΔY/ΔX, which is the slope of the line connecting the marked position to the current cursor. You can use this to estimate the slope of a trace at a particular point.

When you click on the ID tag a second time, the Y/X changes to Avg and the edit box then shows the average y-value of all the points of the active trace that are within the current display x limits.

When you click on the ID tag a third time, the Avg changes to RMS and the edit box then shows the rms value of the active trace. As with Avg, the rms calculation only includes points that are within the currently displayed x-axis limits. (In case you are not familiar with this commonly used form of averaging - rms stands for "root mean square" and is calculated by taking the square root of the average of the squares of the data values).

Clicking the ID tag a fourth time (or clicking in the plot area) restores the cursor readout to show the usual Y value and the ID tag again shows the name of the cursored trace.


Options box

The options box contains 7 tags whose use is explained below:

XY↔

Each click on the XY↔ (XYrotate) tag cycles the x and y axis limits to the next display expansion stored in a history list. (The axis limits from the last four zooms or pans are saved in this list). After all the display limits in the history list are used, the next click autoscales both axes so that all the data is displayed. The next click again uses the first display expansion in the history list.

Mark

When you click on the Mark tag, a circular mark is placed at the current cursor location and a text string is added to the plot containing the x and y coordinates of the cursor location. The text string will be the same color as the active trace. If the text label is not positioned where you want it, click on the label and drag it to the desired location.

If you right click on the text label, a new dialog box will appear which allows you to change any or all of the properties of both the trace marker and the text string. The two pictures below show the Marker and String properties respectively that you can edit. Note that both the Marker and the String popups have delete as one of the options. This is useful if you want to put a marker without a string or a string without a marker. You may delete all the markers you have added this way by selecting delete and then typing all into the edit box below the popup. The same trick works for deleting all the strings added to the figure via the Mark tag. Note that you can have many of these Edit Marker dialog boxes open at same time - as many as one per text string (or even more, although there is probably little benefit to that). All these dialog boxes will be deleted automatically if the flight data window is deleted. To see an example of how you might use this feature to annotate your flight data graphs, click here.

Mbar

Clicking on Mbar enables a standard Windows menu bar to appear in the flight data window, however the only menu contained on it (for now) is the File menu. Clicking on the file menu gives you this pop down menu:

The Print selection is similar to using the Hardcopy tag above with the Windows device selection. The Save and Save As selections save the flight data window as a .fig file which is an object style description of the figure (as opposed to the bit-mapped description generated by the Hardcopy dialog box described below). A description of this file format and utilities to make use of it will be provided in a future release.

Print

This tag can greatly simplify the task of printing the flight data window or capturing it for inclusion in reports. When you click on this tag the new window shown at the right appears. Click on the popup in the center of this window to select the desired graphics output. The choices are shown below:

All the selections are vector formats except Bit Map, which produces a windows .BMP file. For all the graphics formats except for Bit Map and LaserJet you will have a choice of color or black and white (see the selection on the upper left side). Bit Maps are always color and LaserJet (HP printer control language) output is always black and white. On the right side you select where you want the graphics output to go. Windows Meta files and Bit Maps may be sent to the clipboard or to a file. HPGL (HP graphics language), Postscript and Encapsulated Postscript output must always be sent to a file. The LaserJet (HPCL) output may go to a file or to a device, and the Windows output (which uses the windows printer drivers) is device only. When you click on the Device radio button the Select File button (lower left) changes to a Select Device button, which when clicked brings up the standard Windows printer setup dialog box. When you click on the File radio button, the Select Dev button changes back to a Select File button, which when clicked brings up a standard windows file selection box. Whatever file you select from that dialog box will then appear in the middle of the hardcopy window (after Path/File). Then just click on Print and the selected output format will be sent to the selected destination.

Grid

Clicking on this tag removes the dashed grid lines from the display window and instead places small tick marks on both axes at the same coordinates as the grid lines that were removed. Occasionally this can help unclutter the display. Clicking on Grid again restores the grid lines.

ALT

Clicking on this tag selects the “alternate data set” for display. If you have a twin-engine plane, the first 12 traces showing the EGTs and CHTs switch from showing the right engine data to the left engine data. The normal fuel flow display (which is heavily smoothed to make the display easier to read) is switched to show the raw unfiltered data, and the tag changes from Fuel to FuelR to indicate this change. Similarly for the heavily filtered ground speed data, and its tag changes from GS to GSraw. Clicking on the ALT tag a second time returns the flight display to showing the primary data set.

Lean

Clicking on this creates a leaning chart similar to the one shown here. To get a meaningful chart you must first expand the display so that the x-axis includes a time period surrounding a single peak in the EGTs caused by a slow reduction in fuel flow. If the leaning chart doesn’t include the fuel flow range you desire, it's easy to drag the traces (first with the left button and then with the right) until the data range is correct, and then click on the Lean tag again.


Annotation example

An annotation example

Here is an example showing how you might analyze portions of your flights, and annotate the graphs to illustrate various flight events or conditions. All the annotations on this graph were created by using the Mark tag of the menu box:

Wow, until looking at my FlightSaver data, I didn't realize quite how hot yesterday's takeoff was from N. Las Vegas. (Almost 105°F according to the OAT probe). So not too surprising that I had oil temperatures exceeding 210F. During the climb I switched back to the traditional full rich mode as I saw the rather warm engine temperatures. However after analyzing the data, I'm beginning to question this method even on a hot day such as 5-July in Las Vegas.

I enabled Ch5 on the display since that was the hottest. Note from the fuel flow trace that takeoff was at T=11.8 minutes and I stayed full rich (32gph) for only 1.3 minutes. (Delta cursors are useful for determining that). Then I went to a lean of peak (LOP) mixture setting (14.5 gph) while still climbing. The CHT continued to increase for another minute (up to 384°F), and then started decreasing towards quite comfortable levels. (Looks like I increased CAS and slowed my climb rate somewhat, which probably helped this cooling trend along.) Then at about 17.5 minutes I slowed down and increased the climb rate. The CHT started rising, although modestly. Then at T=19 minutes I went back to a full rich (30 gph) climb for better cooling. Note however that this didn't seem to have the expected benefit. Climb rate did increase somewhat due to the increased power, but the CHT headed higher eventually peaking at 385°F.

Looks to me like I could have stayed cooler by remaining at 14.5gph with a modest climb rate. This probably would have meant some circling to give me time to get over the rapidly rising terrain. However I would have been able to get those few minutes back (and more) by using the fuel saved by avoiding the full rich climb during the cruise portion (perhaps going to 15.5 or 16 gph during cruise).


Lean chart

The goal of a leaning test is to determine the peak EGT operating condition (from which the best economy and best power mixtures can be determined) and to measure how well the fuel flows are balanced between the cylinders. I've enabled only the fuel flow trace and the six EGT traces since those are the most relevant for this test. I've used Fsaver's annotation feature to label the beginning and the end of the leaning operation.

This works best with a slow but steady decrease in fuel flow. I was interested in how fast I was leaning so I used the delta cursors to determine this. First I cursored the fuel flow trace at the start point and hit the delta cursor button (Δ) and then moved the cursor to the end point. The auxiliary x-cursor edit box now shows that the test lasted 6.62 minutes. Then I clicked on the Cursor ID tag to select the slope mode (Y/X). The auxiliary y-cursor edit box now shows that the mixture was reduced by 1.653 gph every minute (or .138 gph for every 5 second sample time). It turns out that this is about as fast as you want to go to achieve accurate results. Note that you can use this Y/X delta cursor trick to compute all kinds of useful information from the graphs. In addition to the mixture change rate, some other examples are:

  • CHT shock cooling rates
  • Rate of climb or descent
  • Rate of turn
  • Air temperature lapse rates

Once you have a better idea of where the EGTs will peak, you can speed up the test considerably since we really just need about a gph on either side of the peak.

Here I've expanded the display further to include only about 1.8 minutes of the test since the leaning chart comes out best if it's only based on enough data to have a clearly defined maximum for every EGT trace.

Finally I hit the Lean tag, which produced the leaning chart above. The circular spots are individual measurements from the engine analyzer (every 5 seconds) and are represented in the trace selection box as the lower case egt1 thru egt6. Fsaver computes a least squares polynomial fit to these points to create the solid traces represented in the trace selection box as the upper case EGT1 thru EGT6. (You can enable just the individual samples or just the least squares fit from the trace selection box). Then Fsaver computes fuel flow that maximizes the EGT for each of the six polynomial fits and lists these fuel flows in the box (labeled Peaks) just below the trace selection box. They are arranged according to the cylinder number with EGT1 at the top and are also color coded to correspond with the plot colors. That table is the one that you would send to GAMI so they could fine tune your fuel injectors for perfect balance. The least squares polynomial fit technique improves the accuracy of the results especially when the measurements are somewhat noisy. (The measurements in this example are relatively clean). It also provides good results with faster leaning rates than would otherwise be practical.

Note that I used the peak cursor button to move the cursor to the peak of the EGT3 trace. The x-cursor edit box shows that this happens at 16.077 gph which agrees with the value in the Peaks table. Fsaver also computes the difference between the richest and leanest injectors and displays this figure of merit in the graph title. In this example the cylinder mismatch is .33 gph which is small enough you might refrain from making any further adjustments. You can create these charts for carbureted engines as well, although there isn't much you can do to correct the fuel imbalances. However it will help you understand why lean of peak operation is not likely to work well.